import { jsxs as p, jsx as c } from "react/jsx-runtime";
import t from "clsx";
/*!
  @versini/ui-toggle v3.0.2
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TOGGLE__ || (window.__VERSINI_UI_TOGGLE__ = {
    version: "3.0.2",
    buildTime: "01/13/2025 01:15 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const b = "av-toggle", k = () => t("peer", "h-6", "w-11", "rounded-full"), h = ({
  focusMode: e
}) => t(
  "peer-focus:outline",
  "peer-focus:outline-2",
  "peer-focus:outline-offset-2",
  {
    "peer-focus:outline-focus-dark": e === "dark",
    "peer-focus:outline-focus-light": e === "light",
    "peer-focus:outline-focus-light dark:peer-focus:outline-focus-dark": e === "alt-system",
    "peer-focus:outline-focus-dark dark:peer-focus:outline-focus-light": e === "system"
  }
), m = () => t(
  "peer-checked:after:translate-x-full",
  // background color when checked
  "peer-checked:bg-violet-500",
  // knob circle and border color when checked
  "peer-checked:after:bg-white",
  "peer-checked:after:border-white"
), y = () => t(
  "after:left-[2px]",
  "after:top-[2px]",
  "after:border",
  "after:border-surface-light dark:after:border-surface-medium",
  "after:bg-surface-light dark:after:bg-surface-medium",
  "after:absolute",
  "after:h-5",
  "after:w-5",
  "after:rounded-full",
  "after:transition-all",
  "after:content-['']"
), x = ({
  mode: e,
  noBorder: r
}) => t({
  border: !r,
  "border-border-dark bg-surface-medium": e === "light",
  "border-border-light bg-surface-darker": e === "dark",
  "border-border-light bg-surface-darker dark:border-border-dark dark:bg-surface-medium": e === "alt-system",
  "border-border-dark bg-surface-medium dark:border-border-light dark:bg-surface-darker": e === "system"
}), T = ({
  mode: e,
  labelHidden: r
}) => r ? "sr-only" : t("ml-2 text-sm", {
  "text-copy-dark": e === "light",
  "text-copy-lighter": e === "dark",
  "text-copy-lighter dark:text-copy-dark": e === "alt-system",
  "text-copy-dark dark:text-copy-lighter": e === "system"
}), _ = ({ className: e }) => t(
  b,
  "relative flex cursor-pointer items-center",
  e
), w = ({
  mode: e,
  focusMode: r,
  labelHidden: a,
  className: o,
  noBorder: l
}) => ({
  toggle: t(
    k(),
    x({ mode: e, noBorder: l }),
    h({ focusMode: r }),
    y(),
    m()
  ),
  label: T({ mode: e, labelHidden: a }),
  input: "peer sr-only",
  wrapper: _({ className: o })
}), I = ({
  checked: e = !1,
  onChange: r,
  label: a,
  labelHidden: o = !1,
  name: l,
  mode: u = "system",
  focusMode: g = "system",
  className: i,
  noBorder: n = !1
}) => {
  const s = w({
    mode: u,
    focusMode: g,
    labelHidden: o,
    className: i,
    noBorder: n
  }), d = (f) => {
    r == null || r(f.target.checked);
  };
  return /* @__PURE__ */ p("label", { className: s.wrapper, children: [
    /* @__PURE__ */ c(
      "input",
      {
        name: l,
        checked: e,
        type: "checkbox",
        className: s.input,
        onChange: d
      }
    ),
    /* @__PURE__ */ c("div", { className: s.toggle }),
    /* @__PURE__ */ c("span", { className: s.label, children: a })
  ] });
};
export {
  b as TOGGLE_CLASSNAME,
  I as Toggle
};
